Package com.smartgwt.client.data

# Class SchemaSet

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.data.SchemaSet

All Implemented Interfaces:
  `HasHandlers`

public class SchemaSet extends BaseClass
A set of schema derived from the `<xsd:schema>` element in a WSDL or XML schema file loaded by `XMLTools.loadWSDL(java.lang.String, com.smartgwt.client.data.WSDLLoadCallback)` or `XMLTools.loadXMLSchema(java.lang.String, com.smartgwt.client.data.XSDLoadCallback)`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaSet()`
  `SchemaSet(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `static SchemaSet`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataSource`
  `getSchema(String schemaName)`
  Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.
  `DataSource`
  `getSchema(String schemaName, String schemaType)`
  Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getJsObj, getOrCreateJsObj, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isCreated, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoID, setConfig, setConfigOnly, setFactoryCreated, setID, setJavaScriptObject, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchemaSet

    public SchemaSet()

  - ### SchemaSet

    public SchemaSet(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SchemaSet getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Specified by:
      `create` in class `BaseClass`

  - ### getSchema

    public DataSource getSchema(String schemaName)
    Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.
    Parameters:
      `schemaName` - name of the schema to retrieve
    Returns:
      the data source if schema found, or null

  - ### getSchema

    public DataSource getSchema(String schemaName, String schemaType)
    Get the schema definition of any complexType or element of complexType defined within the element this SchemaSet represents.
    Parameters:
      `schemaName` - name of the schema to retrieve
      `schemaType` - type of schema to return, either "element" for xs:element definitions only or "type" for xs:complexType definitions. If unspecified, either will be returned, with types preferred if names collide
    Returns:
      the data source if schema found, or null